{%- extends "_layout.html" %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">
                    <ol class="breadcrumb">
                        <li><a href="{{ url_for('home.index') }}">{{ _('Home') }}</a></li>
                        <li class="active">{{ vial_current_view.get_menu_title() }}</li>
                    </ol>
                    <h2>{{ vial_current_view.get_view_title() }}</h2>
                    <hr>

                </div> <!-- /.col-lg-12 -->
            </div> <!-- /.row -->


            {%- if query_status_events %}
            <table class="table table-condensed table-striped">
                <tr>
                    <th>
                        {{ _('PID') }}
                    </th>
                    <th>
                        {{ _('Name') }}
                    </th>
                    <th>
                        {{ _('State') }}
                    </th>
                    <th>
                        {{ _('Start time') }}
                    </th>
                    <th>
                        {{ _('Duration') }}
                    </th>
                    <th>
                        {{ _('Query') }}
                    </th>
                    <th data-toggle="tooltip" title="{{ _('Contextual item actions') }}">
                        {{ get_icon('actions') }}
                    </th>
                </tr>
                {%- for query_data in query_status_events %}
                <tr>
                    <td>
                        {{ query_data.pid }}
                    </td>
                    {% if 'query_name' in query_data and query_data.query_name %}
                    <td>
                        {{ query_data.query_name }}
                    </td>
                    {% else %}
                    <td>
                        ---
                    </td>
                    {% endif %}
                    <td>
                        {{ query_data.state }}
                    </td>
                    {% if 'query_start' in query_data and query_data.query_start %}
                    <td>
                        {{ babel_format_datetime(query_data.query_start) }}
                    </td>
                    <td>
                        {{ babel_format_timedelta(get_datetime_utc(aware = True) - query_data.query_start) }}
                    </td>
                    </td>
                    {% else %}
                    <td>
                        ---
                    </td>
                    <td>
                        ---
                    </td>
                    {% endif %}
                    {% if 'query' in query_data and query_data.query %}
                    <td>
                        <span data-toggle="tooltip" title="{{ query_data.query }}">
                            {{ query_data.query|truncate(100) }}
                        </span>
                    </td>
                    {% else %}
                    <td>
                        ---
                    </td>
                    {% endif %}
                    {% if 'query_name' in query_data and query_data.query_name %}
                    <td>
                        {{
                            macros_page.render_menu_context_actions(
                                query_data,
                                action_menu = context_action_menu_query
                            )
                        }}
                    </td>
                    {% else %}
                    <td>
                        ---
                    </td>
                    {% endif %}
                </tr>
                {%- endfor %}
            </table>
            {%- else %}
                {%- call macros_site.render_alert('info', False) %}
                    {{ _('There are currently no running user queries.') }}
                {%- endcall %}
            {%- endif %}

            {%- if permission_can('developer') %}
            <hr>
            {{ macros_site.render_raw_var('query_status_events', query_status_events) }}
            {%- endif %}

{%- endblock content %}
